Skip to main content
PATCH
/
crm
/
v3
/
extensions
/
calling
/
{appId}
/
settings
Update the calling extension settings for a specific app.
curl --request PATCH \
  --url 'https://api.hubapi.com/crm/v3/extensions/calling/{appId}/settings?hapikey=' \
  --header 'Content-Type: application/json' \
  --data '
{
  "height": 123,
  "isReady": true,
  "name": "<string>",
  "supportsCustomObjects": true,
  "supportsInboundCalling": true,
  "url": "<string>",
  "usesCallingWindow": true,
  "usesRemote": true,
  "width": 123
}
'
{
  "createdAt": "2023-11-07T05:31:56Z",
  "height": 123,
  "isReady": true,
  "name": "<string>",
  "supportsCustomObjects": true,
  "supportsInboundCalling": true,
  "updatedAt": "2023-11-07T05:31:56Z",
  "url": "<string>",
  "usesCallingWindow": true,
  "usesRemote": true,
  "width": 123
}

Supported products

Authorizations

hapikey
string
query
required

Path Parameters

appId
integer<int32>
required

The unique identifier for the app whose calling extension settings are being updated.

Body

application/json
height
integer<int32>

The height setting for the calling extension interface.

isReady
boolean

Specifies whether the calling extension is ready for use.

name
string

The name of the calling extension.

supportsCustomObjects
boolean

Indicates if the calling extension supports custom objects.

supportsInboundCalling
boolean

Indicates if the calling extension supports inbound calling.

url
string

The URL associated with the calling extension settings.

usesCallingWindow
boolean

Indicates if the calling extension uses a calling window.

usesRemote
boolean

Indicates if the calling extension uses a remote connection.

width
integer<int32>

The width setting for the calling extension interface.

Response

successful operation

createdAt
string<date-time>
required

The date and time when the calling extension settings were created.

height
integer<int32>
required

The height of the calling extension interface.

isReady
boolean
required

Specifies whether the calling extension settings are ready for use.

name
string
required

The name of the calling extension.

supportsCustomObjects
boolean
required

Indicates if the calling extension supports custom objects.

supportsInboundCalling
boolean
required

Indicates if the calling extension supports inbound calling.

updatedAt
string<date-time>
required

The date and time when the calling extension settings were last updated.

url
string
required

The URL associated with the calling extension.

usesCallingWindow
boolean
required

Specifies if the calling extension uses a dedicated calling window.

usesRemote
boolean
required

Indicates if the calling extension uses a remote service.

width
integer<int32>
required

The width of the calling extension interface.

Last modified on February 12, 2026